SCREENDUMP(1)

NAME
screendump - dump the contents of a virtual console to stdout

SYNOPSIS
screendump [ N ]

DESCRIPTION
The screendump command dumps the contents of virtual console N , (or the current console if N is omitted) to standard out. Just saying
    cat /dev/vcsN
has a similar effect.

NOTES
For security reasons, screendump uses linux devices "virtual console screen" and "virtual console screen with attributes" to give access for screendump.

Ensure these files exist, using

    cd /dev for i in 0 1 2 3 ...; do
        mknod vcs$i c 7 $i
        mknod vcsa$i c 7 `expr 128 + $i`
    done
(filling in the ellipses) and give the device files appropriate permissions, or run screendump as root.

SEE ALSO
setterm(1)